net.sourceforge.jnlp

## Class IconDesc

- java.lang.Object
- - net.sourceforge.jnlp.IconDesc

    public class IconDesc
    extends java.lang.Object

The icon element.

### Field Summary

Fields
`static java.lang.Object` `DEFAULT` default icon
`static java.lang.Object` `DISABLED` disabled icon
`static java.lang.Object` `ROLLOVER` rollover icon
`static java.lang.Object` `SELECTED` selected icon
`static java.lang.Object` `SHORTCUT` destop shortcut icon
`static java.lang.Object` `SPLASH` splash icon

### Method Summary

Methods
`int` `getDepth()` Returns the icon depth or -1 if not specified in the JNLPFile.
`int` `getHeight()` Returns the icon height or -1 if not specified in the JNLPFile.
`java.lang.Object` `getKind()` Returns the icon type.
`java.net.URL` `getLocation()` Returns the location of the icon.
`int` `getSize()` Returns the icon size or -1 if not specified in the JNLPFile.
`int` `getWidth()` Returns the icon width or -1 if not specified in the JNLPFile.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final java.lang.Object DEFAULT

default icon

#### SELECTED

    public static final java.lang.Object SELECTED

selected icon

#### DISABLED

    public static final java.lang.Object DISABLED

disabled icon

#### ROLLOVER

    public static final java.lang.Object ROLLOVER

rollover icon

#### SPLASH

    public static final java.lang.Object SPLASH

splash icon

#### SHORTCUT

    public static final java.lang.Object SHORTCUT

destop shortcut icon

### Method Detail

#### getLocation

    public java.net.URL getLocation()

Returns the location of the icon.

#### getKind

    public java.lang.Object getKind()

Returns the icon type.

#### getWidth

    public int getWidth()

Returns the icon width or -1 if not specified in the JNLPFile.

#### getHeight

    public int getHeight()

Returns the icon height or -1 if not specified in the JNLPFile.

#### getSize

    public int getSize()

Returns the icon size or -1 if not specified in the JNLPFile.

#### getDepth

    public int getDepth()

Returns the icon depth or -1 if not specified in the JNLPFile.